Subject: Re: [PATCH] Fix regression in ip command line processing

From: Simon Horman <[email-masked]>
Date: Sun, 6 Jan 2008 18:25:48 +0900

On Sat, Jan 05, 2008 at 11:20:33PM -0800, David Miller wrote:
> From: Amos Waterland <[email-masked]>
> Date: Sat, 5 Jan 2008 22:58:16 -0500
> 
> > ADDRESS ASSIGNED
> > 
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=on"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=dhcp"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=both"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=any"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=::::::on"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=::::::dhcp"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=10.0.2.15::10.0.2.2:255.255.255.0::eth0:off"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=10.0.2.15::10.0.2.2:255.255.255.0::eth0:on"
> > 
> > ADDRESS NOT ASSIGNED
> > 
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip="
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=off"
> > qemu -kernel x86/arch/i386/boot/bzImage /dev/zero -append "ip=::::::off"
> 
> I really wish Simon had tested his original patch as extensively
> as you have, this is the second major regression it has caused.
> :-/

Ok, this time around its an issue with my understainding of how things
are supposed to work. But sorry none the less.

-- 
Horms